/*^* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *  @software    :    pluie-yaml       <https://git.pluie.org/pluie/lib-yaml>
 *  @version     :    0.56
 *  @type        :    library
 *  @date        :    2018
 *  @license     :    GPLv3.0          <http://www.gnu.org/licenses/>
 *  @author      :    a-Sansara        <[dev]at[pluie]dot[org]>
 *  @copyright   :    pluie.org        <http://www.pluie.org>
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *
 *  This file is part of pluie-yaml.
 *
 *  pluie-yaml is free software (free as in speech) : you can redistribute it
 *  and/or modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation, either version 3 of the License,
 *  or (at your option) any later version.
 *
 *  pluie-yaml is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 *  more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with pluie-yaml.  If not, see  <http://www.gnu.org/licenses/>.
 *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *^*/

/**
 * root namespace of various Pluie lib
 */
namespace Pluie
{
    /**
     * Pluie.Io is dedicated to various input/ouput operations
     */
    namespace Io
    {
        
    }

    /**
     * Samples namespace  to illustrate or test functionnalities
     */
    namespace Samples
    {
        
    }

    /**
     * Pluie.Yaml provides various tools to deal with yaml files and yaml nodes :
     *
     * Use {@link Yaml.Config} to load a .yml file and build a {@link Yaml.Root} node<<BR>>
     * Use {@link Yaml.Config.get} to retriew a particular {@link Yaml.Node}<<BR>>
     * Use {@link Yaml.Builder} to convert a {@link Yaml.Node} into a {@link Yaml.Object}<<BR>>
     * Use {@link Yaml.Dumper} to dump a {@link Yaml.Object} or {@link Yaml.Node} into a yaml string<<BR>>
     * Use {@link Yaml.serialize} to serialize a {@link Yaml.Object} or {@link Yaml.Node} into a string<<BR>>
     * Use {@link Yaml.deserialize} to deserialize a serialized string into a {@link Yaml.Node}<<BR>>
     * Use {@link Yaml.Collection} and {@link Yaml.AbstractChild} methods for Node traversing
     */
    namespace Yaml
    {
        protected const string INSTALL_PATH = "@INSTALL_PATH@";
        public    const string DATA_PATH    = "@DATA_PATH@";
        public    const string VERSION      = "@VERSION@";
    }
}
